# Uses of Interface
org.eclipse.emf.cdo.server.ocl.OCLExtentCreator

Packages that use OCLExtentCreator
Package
Description
org.eclipse.emf.cdo.server.ocl
Server implementation of a generic OCL query handler.

## Uses of OCLExtentCreator in org.eclipse.emf.cdo.server.ocl

Classes in org.eclipse.emf.cdo.server.ocl that implement OCLExtentCreator
Modifier and Type
Class
Description
`class`
`CDOExtentCreator`
An OCL `extent creator` implementation for CDO.
`static class`
`CDOExtentCreator.Lazy`
An `extent creator` that creates extent sets which support a lazy populating iterator.
Constructors in org.eclipse.emf.cdo.server.ocl with parameters of type OCLExtentCreator
Modifier
Constructor
Description
``
`CDOExtentMap(OCLExtentCreator extentCreator)`